
From: Alasdair G Kergon <agk@redhat.com>

The dm emc hardware handler code memset the hardware handler structure to zero
AFTER it had initialized the structure's spinlock field.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
From: Dave Olien <dmo@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/dm-emc.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/md/dm-emc.c~device-mapper-dm-emc-fix-a-memset drivers/md/dm-emc.c
--- 25/drivers/md/dm-emc.c~device-mapper-dm-emc-fix-a-memset	Wed May  4 13:10:34 2005
+++ 25-akpm/drivers/md/dm-emc.c	Wed May  4 13:10:34 2005
@@ -223,8 +223,10 @@ static struct emc_handler *alloc_emc_han
 {
 	struct emc_handler *h = kmalloc(sizeof(*h), GFP_KERNEL);
 
-	if (h)
+	if (h) {
+		memset(h, 0, sizeof(*h));
 		spin_lock_init(&h->lock);
+	}
 
 	return h;
 }
@@ -259,8 +261,6 @@ static int emc_create(struct hw_handler 
 	if (!h)
 		return -ENOMEM;
 
-	memset(h, 0, sizeof(*h));
-
 	hwh->context = h;
 
 	if ((h->short_trespass = short_trespass))
_
